<template lang="pug">
.rate-box.is-flex.is-align-items-center.is-justify-flex-start
	.icon.img.is-flex.is-align-items-center.is-justify-content-center
		rate
	.content
		p.title {{ $t("page.profile.rate") }}
		p.rate.has-text-success 1 IBT = {{ rate }} USD
</template>

<script lang="ts">
import Vue from "vue";
import Component from "vue-class-component";
import { VModel, Prop, Watch } from "vue-property-decorator";

@Component({
  components: {
    //@ts-ignore
    Rate: () => import("svg/rate.svg")
  }
})
export default class RateComponent extends Vue {
  get rate() {
    return this.$store.state.TokenModule.price
  }
  mounted() {
    this.$store.dispatch("TokenModule/getPrice");
  }
}
</script>

<style lang="scss" scoped>
.rate-box {
	padding: 1.0625rem 1.125rem 1.375rem;
	background: rgba($color: #fff, $alpha: .06);
	border-radius: 16px;
	@include max_tablet {
		width: 100%;
		padding: 1.125rem 1.25rem 1.25rem;
		margin-top: 1rem;
	}
}

.icon {
	min-width: 4rem;
	max-width: 4rem;
	height: 4rem;
	margin-right: 1.125rem;
	border-radius: 50%;
	background: radial-gradient(80.9% 80.9% at 59.68% 24.2%, #FEC724 0%, #F68B41 100%);
	box-shadow: 0px 9px 15px rgba(251, 172, 50, 0.23);
	svg {
		width: 2.125rem;
	}
}

.title {
	font-size: .875rem;
	font-weight: 700;
	margin-bottom: .25rem!important;
}

.rate {
	font-size: 1.1875rem;
	font-weight: 700;
}
</style>